/**
 * 1、命名空间注册工具类
 * 该文件下的回填列表代表复选回填列表
 */   
var Namespace = new Object();
Namespace.register = function(path){
    var arr = path.split(".");
    var ns = "";
    for(var i=0;i<arr.length;i++){
        if(i>0) ns += ".";
        ns += arr[i];
        eval("if(typeof(" + ns + ") == 'undefined') " + ns + " = new Object();");
    }
}
//2、注册命名空间com.zzwtec.community     
Namespace.register("com.zzwtec.community");
//3、使用命名空间      
com.zzwtec.community.CommunityList = function(){
     this.popCommunityList = pop_community_list;
     this.data={};
}
//3、使用命名空间      
com.zzwtec.community.CommunityList3 = function(){
     this.popCommunityList3 = pop_community_list3;
     this.data={};
}

 /**
 * 调用该函数实现弹出小区列表，实现回填当前域的功能
 * 点击选中小区文本框  $('input.form-select[name$=communityName]') *
 */
var pop_community_list = function(data){
	var areaWidth = $('div.viewFramework-work-area').width();
	doDataPost(data, false, ctx+"/common/community/backfill2", function(htmlText){
		indexLayer = layer.open({
	        type: 1,
	        title: '请选择小区',
	        offset: ['56px',($(window).width()-areaWidth)+'px'],
	        area: [areaWidth+'px', 'auto'],
	        content: htmlText //注意，如果str是object，那么需要字符拼接。
		});
		$('.layui-layer-content').css('height','auto');
		checkedboxInpage();
	});
}

/**
 * 调用该函数实现弹出小区列表，实现回填当前域的功能
 * 点击选中小区文本框  $('input.form-select[name$=communityName]') * 
 */
var pop_community_list3 = function(data){
	var areaWidth = $('div.viewFramework-work-area').width();
	doDataPost(data, false, ctx+"/common/community/backfill3", function(htmlText){
		indexLayer = layer.open({
	        type: 1,
	        title: '请选择小区',
	        offset: ['56px',($(window).width()-areaWidth)+'px'],
	        area: [areaWidth+'px', 'auto'],
	        content: htmlText //注意，如果str是object，那么需要字符拼接。
		});
		$('.layui-layer-content').css('height','auto');
		checkedboxInpage();
	});
}

var communityList = new com.zzwtec.community.CommunityList();
var communityList3 = new com.zzwtec.community.CommunityList3();